Yes WordPress no longer supports Internet Explorer 11.

One of the main reasons is because Microsoft itself has retired Internet Explorer in June this year. In a way that’s actually good for security reasons, to avoid glitches in the browser.

In Internet Explorer some HTML codes which worked in newer browsers did not in the older browsers and vice versa. Over the years, as a Web Designer I have had to put in more time adding extra code specially for Internet Explorer Browsers. Web Designers and Developers also had to place compatible code for displaying web pages properly in previous versions of the browser. Designer and Developers can relate.

Its always a good practice to use the latest WordPress which is 5.8 as of now.

The message you get when you update WordPress to 5.8 –

Dropping support for Internet Explorer 11

Support for Internet Explorer 11 has been dropped as of this release. This means you may have issues managing your site that will not be fixed in the future. If you are currently using IE11, it is strongly recommended that you switch to a more modern browser, such as Google Chrome, Mozilla Firefox, Safari, or Microsoft Edge.

Also to note that no changes will be made to any of the default themes bundled with WordPress from this change.

Click here to know about image optimization plugins in WordPress.

Stay updated by following my blog for more news and tips. Happy blogging and happy browsing!

Please share and like:

Leave a Reply